body{
    padding: 0;
    margin: 0;
    box-sizing:border-box;
}
body,html{
    overflow-x: hidden;
}
@import url("https://fonts.googleapis.com/css2?family=Montserrat+Alternates:wght@400;500&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --white-color: hsl(0, 0%, 100%);
  --black-color: hsl(0, 0%, 0%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Montserrat Alternates", sans-serif;
  --h1-font-size: 1.5rem;
  --normal-font-size: .938rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-medium: 500;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1150px) {
  :root {
    --normal-font-size: 1rem;
  }
}

ul {
  list-style: none;
  /* margin-top:0; */
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/


/*=============== HEADER & NAV ===============*/
.header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: #014199;
  z-index: 101;
  /* z-index: var(--z-fixed); */
}
/* .nav__item .active{
    border-bottom: 1.5px solid white;
} */

.nav {
  position: relative;
  /* height: var(--header-height); */
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.nav__list ul li a{
    margin-top: 0;
}

.nav__logo {
    
    text-align: center;
  color: white;
  font-size: 25px;
  
}

.nav__close, 
.nav__toggle {
  display: flex;
  color: var(--white-color);
  font-size: 1.5rem;
  cursor: pointer;
}


ul {
  list-style: none;
  /* margin-top:0; */
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/


/*=============== HEADER & NAV ===============*/
.header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: #014199;
  z-index: 101;
  /* z-index: var(--z-fixed); */
}
/* .nav__item .active{
    border-bottom: 1.5px solid white;
} */

.nav {
  position: relative;
  /* height: var(--header-height); */
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.nav__list ul li a{
    margin-top: 0;
}

.nav__logo {
    
    text-align: center;
  color: white;
  font-size: 25px;
  
}

.nav__close, 
.nav__toggle {
  display: flex;
  color: var(--white-color);
  font-size: 1.5rem;
  cursor: pointer;

}


/* Navigation for mobile devices */
@media screen and (max-width: 1150px) {
  .nav__menu {
    position: fixed;
    left: -100%;
    top: 0;
    background-color:  #014199;
    width: 100%;
   z-index: 100%;
    padding: 6rem 3.5rem 4.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: left .4s;
  }
  .nav img{
    width: 10%;
    height:auto;
  }
  @media screen and (max-width: 913px) {
    .nav img{
      width:30%;
      height:auto;
    }
  }
  .nav__item {
    transform: translateX(-150px);
    visibility: hidden;
    transition: transform .4s ease-out, visibility .4s;
  }

  .nav__item:nth-child(1) {
    transition-delay: .1s;
  }
  .nav__item:nth-child(2) {
    transition-delay: .2s;
  }
  .nav__item:nth-child(3) {
    transition-delay: .3s;
  }
  .nav__item:nth-child(4) {
    transition-delay: .4s;
  }
  .nav__item:nth-child(5) {
    transition-delay: .5s;
  }
}

.nav__toggle i{ 
  font-size: 40px;
}
.nav__list, 
.nav__social {
  display: flex;
}

.nav__list {
  flex-direction: column;
  row-gap: 3rem;
}

.nav__link {
  position: relative;
  color: var(--white-color);
  font-size: var(--h1-font-size);
  font-weight: var(--font-medium);
  display: inline-flex;
  align-items: center;
  transition: opacity .4s;
}

.nav__link i {
  font-size: 2rem;
  position: absolute;
  opacity: 0;
  visibility: hidden;
  transition: opacity .4s, visibility .4s;
}

.nav__link span {
  position: relative;
  transition: margin .4s;
}

.nav__link span::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 0;
  height: 2px;
 
  transition: width .4s ease-out;
}

/* Animation link on hover */
.nav__link:hover span {
  margin-left: 1.0rem;
  margin-right: 1.0rem;
}

.nav__link:hover i {
  opacity: 1;
  visibility: visible;
}

.nav__link:hover span::after {
  width: 100%;
}
/* .nav_list .active:not(.nav) */

/* Sibling fade animation */
.nav__list:has(.nav__link:hover) .nav__link:not(:hover) {
  opacity: .4;
}

.nav__close {
  position: absolute;
  top: 1rem;
  right: 1.5rem;
}


.show-menu {
  left: 0;
  height: 100vh;
}

/* Animation link when displaying menu */
.show-menu .nav__item {
  visibility: visible;
  transform: translateX(0);
  text-align: center;
}

/*=============== BREAKPOINTS ===============*/
/* For large devices */
@media screen and (min-width: 1150px) {
 
  .nav {
    height: calc(var(--header-height) + 2rem);
  }

  .nav__toggle, 
  .nav__close {
    display: none;
  }

  .nav__link {
    font-size: var(--normal-font-size);
  }

  .nav__link i {
    font-size: 1.5rem;
  }

  .nav__list {
    flex-direction: row;
    column-gap: 3.5rem;
  }

  .nav__menu {
    display: flex;
    align-items: center;
    column-gap: 3.5rem;
  }
}


@media screen and (max-width: 912px) {

  .nav__toggle i{ 
    font-size: 43px;
  }
}
.parallex{
    background-image:url(../image/gallery.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;
    background-position-y: 55%; ;
    width: 100%;
    height: 80vh;
}
@media screen and (max-width: 913px) {
  .parallex{
    height: 40vh;
  }
}
    .overlay{
        background-color: rgba(10, 12, 31, 0.6);
        width: 100%;
        height: 80vh ;
        background-size: cover;
      }
      @media screen and (max-width: 913px) {
        .overlay{
          height: 40vh;
        }
      }

      .section-header {
        position: relative;
        width: 100%;
        text-align: center;
        margin: 0 auto;
        margin-bottom: 40px;

      }
      
      .section-header::before {
        position: absolute;
        content: "";
        width: 100px;
        height: 3px;
        left: calc(50% - 50px);
        bottom: 0;
        background: linear-gradient(to left, black, black, black);
        border-radius: 100%;
      }
      
      .section-header::after {
        position: absolute;
        content: "";
        width: 20px;
        height: 9px;
        left: calc(50% - 10px);
        bottom: -3px;
        background: black;
        border-radius: 5px;
      }
      .long img:hover{
        transform: scale(0.9);
      }

      .foot{
  background-color:#014199;
        /* background-image:url(../image/footer.jpg); */
          background-repeat: no-repeat;
    background-size: cover;
      }
      .foot0 {
        color: white;
      }
      .foot1{
        color: white;
      }
      .foot2{
      color: white;
      }
      .foot2 a{
      color: white;
      text-decoration: none;
      font-size: 18px;
      }
      .foot2 a:hover{
        color:greenyellow;
      }
      .foot2 h5 a:hover{
       margin-left: 5px;
       /* color: rgb(2, 22, 83); */
      }
      .foot3 h4 {
        color: white;
      }
      .foot3 h5 {
      color: white;
      }
      .foot3 p {
      color: white;
      }
      .foot3  i {
      border: 1px solid black;
      border-radius: 50%;
      background-color: white;
      border: none;
      color: black;
      }
      .foot3 i:hover{
      color: rgb(2, 22, 83);
      
      }
      .foot4{
      color: white;
      }
      



      #back-to-top-btn {
        display: none;
        position: fixed;
        bottom: 20px;
        right: 15px;
        z-index: 99;
        border: none;
        outline: none;
        color: black;
        cursor: pointer;
        border-radius: 40px;
      }
      
      /* Loader */
      .page-loader {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color:black; /* Semi-transparent background */
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1000;
      }
      
      .fixed-img {
        width: 9%; /* Adjust as needed */
        height: auto;
        z-index: 1; /* Ensure the image is above the spinner */
      }
      
      .spinner {
        position: absolute;
        width: 150px; /* Size of the outer spinner */
        height: 150px;
        /* border: 4px solid rgba(0, 0, 0, 0.1); */
        border-top: 4px solid #014199; /* Color of the spinner */
        border-bottom: 4px solid #014199; /* Color of the spinner */
      
        border-radius: 50%;
        animation: spin 2s linear infinite; /* Rotating the spinner */
        z-index: 0; /* Ensure the spinner is below the image */
      }
      
      @keyframes spin {
        0% { transform: rotate(0deg); }
        100% { transform: rotate(360deg); }
      }
      
      @media screen and (max-width: 913px) {

        .fixed-img {
          width: 15%; 
      }
      }
      
      @media screen and (max-width: 913px) {
      
        .spinner {
          position: absolute;
          width: 150px; /* Size of the outer spinner */
          height: 150px;
      }
      }
      @media screen and (max-width: 767px) {

        .fixed-img {
          width: 20%; 
      }
      }
      
      @media screen and (max-width: 767px) {
        .spinner {
          
          width: 130px; 
          height: 130px;
      }
      }
      
      /* social */
      a {
        color: white;
        text-decoration: none;
      }
      .social {
        position: fixed;
        left: 1%;
        top: 40%;
        z-index: 1;
      }
      
      .social ul {
        padding: 0px;
        transform: translate(-270px,0);
      }
      @media screen and (max-width: 821px) {
        .social ul {
          margin-left: 3%;
        }
      
      }
      
      .social ul li {
        display: block;
        margin: 5px;
        background: black;
        width: 300px;
        text-align: right;
        padding: 10px;
        border-radius: 0 30px 30px 0;
        transition: all 1.5s;
      }
      
      .social ul li:hover {
        transform: translate(110px,0);
        background: #014199;
        transition: all 1.5s;
      }
      
      .social ul li:hover a {
        color: white;
      }
      
      .social ul li:hover i{
        color: #014199;
        background: white;
        transform: rotate(360deg);
        transition: all 1.5s;
      }
      
      .social ul li i {
        margin-left: 10px;
        color: #000;
        background: white;
        padding: 9px;
        border-radius: 50%;
        width: 35px;
        height: 35px;
        transform: rotate(0deg);
        text-align: center;
        font-size: 20px;
      }
      